Subject: Re: Looping in redisplay due to font problem

From: Kenichi Handa <[email-masked]>
Date: Wed, 08 Oct 2008 10:16:32 +0900

In article <[email-masked]>, Chong Yidong <[email-masked]> writes:

> > Please try to comment out all calls of XSetClipMask in
> > x_draw_glyph_string, and check if Emacs loops in redisplay.

> It still loops, though the backtrace is different now.  Interrupting the
> loop several times, I see that it gets stuck in two places within
> xftfont_draw, at xftfont.c:561 and xftfont.c:549.

> Another clue: I can't reproduce this bug on my 32-bit laptop, so maybe
> it only shows up on 64-bit machines.

Ummm.  As I don't have 64-bit machines, it's difficult to
find what is wrong :-(

Do you see the same problem with the different font (or with
the different size of the same font)?
Do you see the same problem when you use only x font-backend?

---
Kenichi Handa
[email-masked]